Subject: [bug#27922] [PATCH] gnu: python-numpy: Update to 1.12.1.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 26 Sep 2017 22:08:32 +0200

Hi,

Thomas Danckaert <[email-masked]> skribis:

> From: Leo Famulari <[email-masked]>
> Subject: Re: [bug#27922] [PATCH] gnu: python-numpy: Update to 1.12.1.
> Date: Tue, 26 Sep 2017 11:46:20 -0400
>
>> On Tue, Sep 26, 2017 at 01:48:45PM +0200, Ludovic Courtès wrote:
>>> Thomas Danckaert <[email-masked]> skribis:
>>> > I can push a modified patch (with the pypi source) if it's ok.
>>> Is there
>>> > any reason we would not update to version 1.13.1 rightaway?
>>>
>>> If the dependents of NumPy build fine, I see no reason not to
>>> upgrade to
>>> 1.13.1.
>>>
>>> Thanks for picking this up!
>>
>> Yes, thank you! I got distracted and had to take a little break,
>> which
>> is why this patch fell by the wayside.
>
> Attached patch updates to 1.13.1.  I had to add bash-minimal as a
> native input because the numpy people made their build system a little
> more convoluted ;-) (external commands such as gcc are run within a
> shell with $SHELL -c 'gcc [...]', I didn't look up the motivation for
> that).

This is weird: bash-minimal is an implicit input already.  What was the
error exactly?

Apart from that it looks great.

Thanks!

Ludo’.